class TestController < ApplicationController
  
  before_filter :find_user, :only => [:new, :create, :destroy]
  
  
def index
    #@watchers_of_projects = WatchersOfProjects.new
    #@watchers_of_projects.user_id = 1
    #@watchers_of_projects.project_id = 1
    #@watchers_of_projects.save
    
    #测试user表与watch_project表之间的关联是否成功
    #@user = User.find(params[:id])
    #@watch_table = @user.watch_projects.to_a.first
    
    #@watch = WatchProject.find(1)
    #@watcher = @watch.user
    
    #测试通过watch_project表使user表可以访问project表
    #@watch_project = @user.projects
    #watch_project_path(@watch)

    #@project = Project.find(11)
    #project_path(@project)
    #@member = @project.users
    #@watched = @project.watch_projects
    #@issue = Issue.find(6)
    
    
    #user_path(@user)
    #issue_path(@issue) 
    
    #@watcher2=WatchProject.where("#{WatchProject.table_name}.project_id = ?" , temp)
    
    #测试where语句
    #temp = 1
    #@watcher2=WatchProject.where(:project_id => temp).to_a
    
    #测试新建记录
    #@watch_new = WatchProject.new
    #@watch_new.user_id = 4
    #@watch_new.project_id = 1
    #@watch_new.save
    #@id = params[:id]
    
    #测试添加关注项目功能
    #WatchersOfProjects.watch(3,10)
    #Project.find(50)
    #测试统计关注该项目的用户数
    #@count = WatchersOfProjects.watcher_count(@watch_project.to_a.first)
    #测试取消关注功能
    #WatchersOfProjects.watch_cancle(10,35)
    
    #测试关注用户功能
    #测试关注功能
    #WatchersOfUser.watch_user(7,7)
    #测试取消关注功能
    #WatchersOfUser.cancel_watching_user(1,2)
    #测试查找关注的人功能
    #@user = WatchersOfUser.find_users(1)
    #测试查找被关注的人功能
    #@user = WatchersOfUser.find_watchers(10)
    
    #测试用户留言功能
    #测试留言功能
    MessagesForUser.leave_message(User.current.id, 6, 'test')
    #测试查找留言功能
    #@message_table = MessagesForUser.find_message(3)
    #测试查找留言用户功能
    #@messager=@message_table.first.find_messager
    
    
    #测试需求
    #测试新建需求
    #bids = Bid.creat_bids(10000, '2013.7.25', 'test', 'sfsadgfag')
    #测试修改需求
    #bids.update_bids(10, '2014.7.222', 'asdf')
    #测试删除需求
    # bids = Bid.where('id = ?', 5)
    # bids.each do |bid|
      # bid.delete_bids
    # end
    end
    
    ##########留言功能   message    by fq
    def new   
    end
    
    def create
      
    if params[:user_search].size>0
      unless params[:user_id].nil?
        message = params[:user_search]
        MessagesForUser.leave_message(User.current.id, params[:user_id], message)
        @message = MessagesForUser.find_message(@user.id)
      end
    end
   
    respond_to do |format|
     # format.html { redirect_to_referer_or {render :text => 'Watcher added.', :layout => true}}
      format.js
      #format.api { render_api_ok }
    end  
  end
  
  def destroy
    MessagesForUser.delete_message(params[:object_id])  
    @message = MessagesForUser.find_message(@user.id)
    respond_to do |format|
      format.html { redirect_to :back }
      format.js
      #format.api { render_api_ok }
    end
  end
  
  private

  def find_user
    if params[:user_id]
      @user = User.find(params[:user_id])
    end
  rescue
    render_404
  end
  #######end of message
end